Reports module
Endpoints
Endpoints for managing Reportings
GET
/reportschedules Returns collection of Report schedule resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 5472,
"created_at": "2018-09-12 05:06:59",
"culture": 3,
"description": "value",
"emails": "value",
"end_at": "2018-09-12 05:02:54",
"format": 0,
"frequency": "value",
"last_run_at": "2018-09-12 05:00:59",
"name": "value",
"next_run_at": "2018-09-12 04:59:47",
"report_id": 3094,
"start_at": "2018-09-12 05:11:48",
"status": 1,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}
POST
/reportschedules Creates new Report schedule resource
Parameters
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
POST /v1.1/voipstudio/reportschedules HTTP/1.1
Host: l7api.com
{
"report_id": 331,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-11-06",
"end_at": "2026-11-06",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
201 Success
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 5287,
"created_at": "2024-06-17 01:26:27",
"culture": 0,
"description": "value",
"emails": "value",
"end_at": "2024-06-17 01:34:46",
"format": 1,
"frequency": "value",
"last_run_at": "2024-06-17 01:31:56",
"name": "value",
"next_run_at": "2024-06-17 01:21:38",
"report_id": 2963,
"start_at": "2024-06-17 01:32:40",
"status": 0,
"timezone": "value",
"tz": "value"
},
"links": {}
}
GET
/reportschedules/{id} Returns Report schedule resource for given Id
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
GET /v1.1/voipstudio/reportschedules/8 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 2258,
"created_at": "2024-03-18 12:58:20",
"culture": 2,
"description": "value",
"emails": "value",
"end_at": "2024-03-18 12:48:55",
"format": 1,
"frequency": "value",
"last_run_at": "2024-03-18 12:50:27",
"name": "value",
"next_run_at": "2024-03-18 13:01:27",
"report_id": 1402,
"start_at": "2024-03-18 13:07:26",
"status": 1,
"timezone": "value",
"tz": "value"
},
"links": {}
}
PATCH
/reportschedules/{id} Updates existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
PATCH /v1.1/voipstudio/reportschedules/34 HTTP/1.1
Host: l7api.com
{
"report_id": 968,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-11-06",
"end_at": "2026-11-06",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 8208,
"created_at": "2017-12-21 18:17:56",
"culture": 6,
"description": "value",
"emails": "value",
"end_at": "2017-12-21 18:29:17",
"format": 1,
"frequency": "value",
"last_run_at": "2017-12-21 18:25:27",
"name": "value",
"next_run_at": "2017-12-21 18:26:53",
"report_id": 3555,
"start_at": "2017-12-21 18:19:43",
"status": 0,
"timezone": "value",
"tz": "value"
},
"links": {}
}
DELETE
/reportschedules/{id} Deletes existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
DELETE /v1.1/voipstudio/reportschedules/14 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/reportschedules/dictionaries Returns Dictionary for Report schedule resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Success
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 9924,
"created_at": "2025-05-25 00:27:59",
"culture": 6,
"description": "value",
"emails": "value",
"end_at": "2025-05-25 00:17:29",
"format": 1,
"frequency": "value",
"last_run_at": "2025-05-25 00:17:35",
"name": "value",
"next_run_at": "2025-05-25 00:29:45",
"report_id": 6931,
"start_at": "2025-05-25 00:20:20",
"status": 0,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}